



      SUBROUTINE MOL320


















      IMPLICIT      NONE
      INCLUDE       'BIGINC.INC'
      INTEGER       IAA







      IF (NUMAAT.LE.0) THEN
         CALL GVSTTE ('?MOLB22')
         GOTO 998
      END IF



      DO 10 IAA=1,NUMAAT
         CALL GVSCTB (NUMNAM(IAA),4)
   10 CONTINUE



      CALL GVSFMT ('?FMT024')
      DO 20 IAA=1,NUMAAT
         WRITE (NUMNAM(IAA),FMT,ERR=999) IAA
   20 CONTINUE
      CALL GVSTT6 ('?MOLRNB')
      GOTO 998



  999 CONTINUE
      CALL GVSEIW ('MOL320')



 998  CONTINUE


      RETURN
      END
      SUBROUTINE MOL320A

















      IMPLICIT      NONE
      INCLUDE       'BIGINC.INC'
      INTEGER       IAA, IERR, I
      LOGICAL       AHEAD
      CHARACTER*4   CHAR4







      IF (NUMAAT.LE.0) THEN
         CALL GVSTTE ('?MOLB22')
         GOTO 998
      END IF



      CALL WIFGRS (IAA,' ')
      IF (IAA.LE.0) GOTO 998



      IF (.NOT.AHEAD()) CALL SHOWTEXT ('?M4869')
      CALL GETWORD (CHAR4,IERR)
      DO 10 I=1,4
         IF (CHAR4(I:I).EQ.'_') CHAR4(I:I)=' '
 10   CONTINUE
      IF (IERR.NE.0) GOTO 998



      CALL GVSSTX (NUMNAM(IAA),CHAR4)



 998  CONTINUE


      RETURN
      END
